// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "LanguageManager.hpp"
#include "game/DawnGame.hpp"

using namespace Dawn;

LanguageManager::LanguageManager(DawnGame *game) {
  this->game = game;

  auto lang = this->game->assetManager.get<LanguageAsset>("language_en");
  while(!lang->loaded) {
    lang->updateAsync();
  }
  std::cout << lang->getValue("test2");
}